EDIT - bug #6987

LIE during name catalogue service call processing
09/26/2017 03:24 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib-remote Estimated time: 0:00 hour
Target version: Release 4.11

Severity: critical Found in Version: Release 4.10
Description

http://api.cybertaxonomy.org/col/name_catalogue/taxon.json?taxonUuid=a031b7b2-0803-4cd1-958e-d8e7376dbe2d

org.hibernate.LazyInitializationException: failed to lazily initialize a collection of role: eu.et
axonomy.cdm.model.taxon.TaxonBase.extensions, could not initialize proxy — no Session

at org.hibernate.collection.internal.AbstractPersistentCollection.throwLazyInitializationExcep
tion (AbstractPersistentCollection.java:567)

at org.hibernate.collection.internal.AbstractPersistentCollection.withTemporarySessionIfNeeded
(AbstractPersistentCollection. java:205)

at org.hibernate.collection.internal.AbstractPersistentCollection.initialize (AbstractPersisten
tCollection. java:546)

at org.hibernate.collection.internal.AbstractPersistentCollection.read (AbstractPersistentColle
ction.java:133)

at org.hibernate.collection.internal.PersistentSet.iterator (PersistentSet. java:163)

at eu.etaxonomy.cdm.model.common.IdentifiableEntity.getExtensionsConcat (IdentifiableEntity. jav
a:444)

at eu.etaxonomy.cdm.remote.controller.dto.NameCatalogueController.doGetTaxonInformation (NameCa
talogueController. java:835)

at sun.reflect.GeneratedMethodAccessor9587.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke (InvocableHandlerMeth
od.java:222)

at org.springframework.web.method. support.InvocableHandlerMethod.invokeForRequest (InvocableHan
dlerMethod. java:137)

at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeA
ndHandle (ServletInvocableHandlerMethod. java:110)

at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHa
ndlerMethod (RequestMappingHandlerAdapter. java:814)

at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handlelIn
ternal (RequestMappingHandlerAdapter. java:737)

at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle (AbstractHand
lerMethodAdapter. java:85)

at org.springframework.web.servlet.DispatcherServlet.doDispatch (DispatcherServlet.java:959)

at org.springframework.web.servlet.DispatcherServlet.doService (DispatcherServlet.java:893)

at org.springframework.web.servlet.FrameworkServlet.processRequest (FrameworkServlet.java:969)

at org.springframework.web.servlet.FrameworkServlet.doGet (FrameworkServlet. java:860)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:687)

at org.springframework.web.servlet.FrameworkServlet.service (FrameworkServlet. java:845)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:790)

Associated revisions

Revision 3dcfb5ed - 09/28/2017 10:11 AM - Andreas Kohlbecker

fix #6987 initializing extensions to avoid LIE

History

#1 - 09/26/2017 04:25 PM - Andreas Miiller
- Tags changed from name-catalogue-service to name-catalogue-service, col

- Severity changed from normal to critical
http://api.cybertaxonomy.org/col/name_catalogue/taxon.json?taxonUuid=a031b7b2-0803-4cd1-958e-d8e7376dbe2d

#2 - 09/28/2017 10:11 AM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|3dcfb5ed8d6e9d4606308c1ed602abicecca72ca.

#3 - 09/28/2017 10:12 AM - Andreas Kohlbecker
- % Done changed from 50 to 80

this only can be reviewed after the release. Locally it worked as expected.

#4 - 02/14/2018 01:48 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 80 to 100
